Subject: Re: bug#45413: Password exposure on SSH login

From: João Távora <[email-masked]>
Date: Fri, 25 Dec 2020 21:29:09 +0000

When I studied at that university, shared machines were a thing. I didn't
know if they are still, but I'd also try with:

emacs -q # that's lowercase q

If the problem still happens, it's likely in the site-start.el , and not in
.emacs

https://www.gnu.org/software/emacs/manual/html_node/emacs/Init-File.html#Init-File

João

On Fri, Dec 25, 2020, 20:46 Daniel Martín via Bug reports for GNU Emacs,
the Swiss army knife of text editors <[email-masked]> wrote:

> "Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
> knife of text editors" <[email-masked]> writes:
>
> > OK, (only) after starting with emacs -Q does the password prompt (and
> > the focus) appear at the mini-buffer.
> >
>
> Yes, that is expected.  The minibuffer prompt should hide your password
> with asterisks as you type it.
>
> I think this may not be a bug in Emacs, but a problem somewhere in your
> Emacs configuration.  Comment out parts of your .emacs until you find
> the culprit.
>
>
>
>